<?php
add_action( 'wp_enqueue_scripts', 'my_theme_enqueue_styles' );
function my_theme_enqueue_styles() {
	 
    $parenthandle = 'parent-style';
    $theme = wp_get_theme();
	
    // Enqueue additional CSS files
    wp_enqueue_style( 'base-style', get_stylesheet_directory_uri() . '/css/base.css', array( $parenthandle ), $theme->get('Version') );
    wp_enqueue_style( 'skeleton-style', get_stylesheet_directory_uri() . '/css/skeleton.css', array( $parenthandle ), $theme->get('Version') );
    wp_enqueue_style( 'layout-style', get_stylesheet_directory_uri() . '/css/layout.css?v=1', array( $parenthandle ), $theme->get('Version') );
    wp_enqueue_style( 'font-awesome-style', get_stylesheet_directory_uri() . '/css/font-awesome.css', array( $parenthandle ), $theme->get('Version') );
    wp_enqueue_style( 'carousel-style', get_stylesheet_directory_uri() . '/css/owl.carousel.css', array( $parenthandle ), $theme->get('Version') );
    wp_enqueue_style( 'animate-style', get_stylesheet_directory_uri() . '/css/animate.css', array( $parenthandle ), $theme->get('Version') );
    wp_enqueue_style( 'retina-style', get_stylesheet_directory_uri() . '/css/retina.css', array( $parenthandle ), $theme->get('Version') );
    
    // From parent styles
    wp_enqueue_style( $parenthandle, get_template_directory_uri() . '/style.css',
    array(),  // if the parent theme code has a dependency, copy it to here
    $theme->parent()->get('Version')
    );
    wp_enqueue_style( 'child-style', get_stylesheet_uri(),array( $parenthandle ),$theme->get('Version'));
    }


add_action('wp_enqueue_scripts', 'tutsplus_enqueue_custom_js');
function tutsplus_enqueue_custom_js() {
    wp_enqueue_script( 'jquery-js', get_stylesheet_directory_uri() . '/js/jquery-3.2.1.js');
    wp_enqueue_script( 'modernizr-js', get_stylesheet_directory_uri() . '/js/modernizr.custom.js');
    wp_enqueue_script( 'royal_preloader-js', get_stylesheet_directory_uri() . '/js/royal_preloader.min.js');
    wp_enqueue_script( 'retina-js', get_stylesheet_directory_uri() . '/js/retina-1.1.0.min.js');
    wp_enqueue_script( 'fitvids-js', get_stylesheet_directory_uri() . '/js/jquery.fitvids.js');
    wp_enqueue_script( 'flexSlider-js', get_stylesheet_directory_uri() . '/js/flexSlider.js');
    wp_enqueue_script( 'owl-carousel-js', get_stylesheet_directory_uri() . '/js/owl.carousel.min.js');
    wp_enqueue_script( 'carousels-js', get_stylesheet_directory_uri() . '/js/carousels.js');
    wp_enqueue_script( 'parallax-js', get_stylesheet_directory_uri() . '/js/jquery.parallax-1.1.3.js');
    wp_enqueue_script( 'easing-js', get_stylesheet_directory_uri() . '/js/jquery.easing.js');
    wp_enqueue_script( 'contact-js', get_stylesheet_directory_uri() . '/js/contact.js');
    wp_enqueue_script( 'template-js', get_stylesheet_directory_uri() . '/js/template.js');
   
    wp_enqueue_script('main', get_stylesheet_directory_uri().'/js/main.js?v=1.2.1',
    array('jquery'), false, true);
	}




?>